using System.Collections.Generic;

namespace Stat.BLL
{
    /// <summary>
    /// 导航
    /// </summary>
    public class Navigate
    {

       private static IDAL.INavigate dal = DALFactory.AbstractFactory.GetInstance().CreateNavigate();

        /// <summary>
        /// 添加 导航
        /// </summary>
        /// <returns></returns>
        public static bool Insert(Stat.Model.Navigate not)
        {

            return dal.Insert(not);
        }
        /// <summary>
        /// 修改 导航
        /// </summary>
        /// <returns></returns>
        public static bool Update(Stat.Model.Navigate not)
        {

            return dal.Update(not);
        }
        /// <summary>
        ///删除 导航
        /// </summary>
        /// <returns></returns>
        public static bool Delete(int id)
        {
 
            return dal.Delete(id);
        }
        /// <summary>
        /// 获取 导航
        /// </summary>
        /// <returns></returns>
        public static IList<Stat.Model.Navigate> Get()
        {
            return dal.Get();
        }
        /// <summary>
        /// 获取 导航
        /// </summary>
        /// <returns></returns>
        public static IList<Stat.Model.Navigate> Get(int id)
        {
            return dal.Get(id);
        }
        /// <summary>
        /// 获取 导航
        /// </summary>
        /// <returns></returns>
        public static IList<Stat.Model.Navigate> GetTop1(int Num, int IsTop)
        {
            return dal.GetTop1(Num, IsTop);
        }



        /// <summary>
        /// 获取 导航
        /// </summary>
        /// <returns></returns>
        public static IList<Stat.Model.Navigate> Get(int Sum, int IsPass)
        {
            return dal.Get(Sum, IsPass);
        }

    }
}
